To use the API, API endpoint and token are required. Refer to API usage preparations to prepare the information required to use the API.
The Colocation Gateway API utilizes an endpoint of thenetwork type. See the serviceCatalogin the token issuance response for the exact endpoint.
| Type | Region | Endpoint |
|---|---|---|
| network | Korea (Pangyo) Region Korea (Pyeongchon) Region |
https://kr1-api-network-infrastructure.nhncloudservice.com https://kr2-api-network-infrastructure.nhncloudservice.com |
In each API response, you may find fields that are not specified within this guide. Those fields are for NHN Cloud internal usage, so refrain from using them because they may be changed without prior notice.
GET /v2.0/gateways/colocationgateways
X-Auth-Token: {tokenId}
This API does not require a request body.
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| tokenId | Header | String | O | Token ID |
| id | Query | UUID | - | Colocation Gateway ID to retrieve |
| name | Query | String | - | Colocation gateway name to retrieve |
| vpc_id | Query | String | - | VPC ID associated with the colocation gateway to retrieve |
| Name | Type | Format | Description |
|---|---|---|---|
| colocationgateways | Body | Array | List of Colocation Gateway Information Objects |
| colocationgateways.id | Body | UUID | Colocation Gateway ID |
| colocationgateways.name | Body | String | Colocation gateway name |
| colocationgateways.vpc_id | Body | UUID | Connected VPC ID |
| colocationgateways.tenant_id | Body | String | Tenant ID |
| colocationgateways.status | Body | UUID | Resource Status |
| colocationgateways.description | Body | String | Colocation Gateway description |
| colocationgateways.vpc.name | Body | String | Connected VPC name |
| colocationgateways.vpc.id | Body | String | Connected VPC ID |
| colocationgateways.vpc.cidrv4 | Body | String | Connected VPC CIDR |
{
"colocationgateways": [
{
"status": "AVAILABLE",
"name": "test",
"vpc": {
"name": "Test Network",
"id": "273c5003-436a-111-8318-b5f824ac55b2",
"cidrv4": "192.168.1.0/24"
},
"vpc_id": "273c5003-436a-1111-8318-b5f824ac55b2",
"tenant_id": "626931f748704725b3640afab6e70000",
"project_id": "626931f748704725b3640afab6e70000",
"id": "1b8b2ace-1111-421d-b2ae-5f508c98ccd9",
"description": "test"
}
]
}
GET /v2.0/gateways/colocationgateways/{colocationGatewayId}
X-Auth-Token: {tokenId}
This API does not require a request body.
| Name | Type | Format | Required | Description |
|---|---|---|---|---|
| tokenId | Header | String | O | Token ID |
| colocationGatewayId | URL | UUID | O | Colocation Gateway ID |
| Name | Type | Format | Description |
|---|---|---|---|
| colocationgateways | Body | Array | List of Colocation Gateway Information Objects |
| colocationgateways.id | Body | UUID | Colocation Gateway ID |
| colocationgateways.name | Body | String | Colocation gateway name |
| colocationgateways.vpc_id | Body | UUID | Connected VPC ID |
| colocationgateways.tenant_id | Body | String | Tenant ID |
| colocationgateways.status | Body | UUID | Resource Status |
| colocationgateways.description | Body | String | Colocation Gateway description |
| colocationgateways.vpc.name | Body | String | Connected VPC name |
| colocationgateways.vpc.id | Body | String | Connected VPC ID |
| colocationgateways.vpc.cidrv4 | Body | String | Connected VPC CIDR |
{
"colocationgateway": {
"status": "AVAILABLE",
"name": "test",
"vpc": {
"name": "Test Network",
"id": "273c5003-436a-111-8318-b5f824ac55b2",
"cidrv4": "192.168.1.0/24"
},
"vpc_id": "273c5003-436a-1111-8318-b5f824ac55b2",
"tenant_id": "626931f748704725b3640afab6e70000",
"project_id": "626931f748704725b3640afab6e70000",
"id": "1b8b2ace-1111-421d-b2ae-5f508c98ccd9",
"description": "test"
}
}